Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class Query.FilterPredicate

    java.lang.Object
      com.google.appengine.api.datastore.Query.FilterPredicate

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Query

    public static final class Query.FilterPredicate

extends java.lang.Object
implements java.io.Serializable

FilterPredicate is a data container that holds a single filter predicate.

See Also:
  Serialized Form

Constructor Summary
`Query.FilterPredicate(java.lang.String propertyName, Query.FilterOperator operator, java.lang.Object value)` Constructs a filter predicate from the given parameters.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Query.FilterOperator` | `getOperator()` Gets the operator describing how to apply the filter.
`java.lang.String` | `getPropertyName()` Gets the name of the property to be filtered on.
`java.lang.Object` | `getValue()` Gets the argument to the filter operator.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query.FilterPredicate

    public Query.FilterPredicate(java.lang.String propertyName,
                                 Query.FilterOperator operator,
                                 java.lang.Object value)

  Constructs a filter predicate from the given parameters.

  Parameters:
    `propertyName` - the name of the property on which to filter
    `operator` - the operator to apply
    `value` - A single instances of a supported type or if `operator` is `Query.FilterOperator.IN` a non-empty `Iterable` object containing instances of supported types.
  Throws:
    `java.lang.IllegalArgumentException` - If the provided filter values are not supported.
  See Also:
    `DataTypeUtils.isSupportedType(Class)`

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Gets the name of the property to be filtered on.

### getOperator

    public Query.FilterOperator getOperator()

  Gets the operator describing how to apply the filter.

### getValue

    public java.lang.Object getValue()

  Gets the argument to the filter operator.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD